# $Revision: 1.19 $, $Date: 2006/02/27 08:44:08 $
%define		mod_name	mod_ruby
%define 	apxs		/usr/sbin/apxs
Summary:	Apache mod_ruby module - embeds the Ruby interpreter into the Apache web server
Summary(pl):	Modu Apache'a mod_ruby - zapewniajcy obsug skryptw rubego przez serwer Apache
Name:		apache-%{mod_name}
Version:	1.2.5
Release:	1
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://www.modruby.net/archive/%{mod_name}-%{version}.tar.gz
# Source0-md5:	3c867008bd6518c1fec395d9040cd964
Source1:	%{name}.conf
Patch0:		%{name}-struct.patch
URL:		http://www.modruby.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	ruby-devel >= 1:1.6.4
Requires:	apache(modules-api) = %apache_modules_api
Requires:	ruby >= 1:1.6.4
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
mod_ruby embeds the Ruby interpreter into the Apache web server,
allowing Ruby CGI scripts to be executed natively. These scripts will
start up much faster than without mod_ruby.

%description -l pl
mod_ruby zapewnia obsug skryptw Ruby'ego bezporednio z poziomu
Apache'a, dziki czemu bd si one adoway znacznie szybciej ni
gdyby byy wywoywane tradycyjnie.

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1

%build
./configure.rb \
	--with-apr-includes='/usr/include/apr -I/usr/include/apr-util'\
	--with-apxs=%{apxs}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf,%{ruby_rubylibdir}}
install %{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}/%{mod_name}.so
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/70_mod_%{mod_name}.conf
cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%preun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.en examples doc/*
%lang(ja) %doc README.ja
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%{ruby_rubylibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_ruby.spec,v $
Revision 1.19  2006/02/27 08:44:08  qboosh
- updated md5

Revision 1.18  2006/02/27 08:29:51  glen
- updated to 1.2.5 (builds with apache2.2)

Revision 1.17  2006/01/30 17:39:10  glen
- use %service

Revision 1.16  2005/12/31 10:36:32  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.15  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.14  2005/12/27 00:47:33  glen
- adapterized

Revision 1.13  2005/12/26 22:45:03  glen
- unified; use system ruby macros

Revision 1.12  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.11  2004/10/22 12:03:03  saq
- fixed BR

Revision 1.10  2004/09/27 19:23:47  paladine
- updated to 1.2.4

Revision 1.9  2004/09/19 18:40:26  radek
- unified

Revision 1.8  2004/08/30 14:09:22  snurf
- typo

Revision 1.7  2004/08/21 23:41:19  ankry
- added epoch for ruby

Revision 1.6  2004/08/12 19:55:26  aredridel
- up to 1.2.2

Revision 1.5  2004/07/16 02:08:37  aredridel
- rel 1
- STBR

Revision 1.4  2004/07/16 01:45:51  aredridel
- up to 1.2.0, works.
- STBR

Revision 1.3  2003/10/27 20:35:37  adamg
- source0-md5 added

Revision 1.2  2003/10/26 19:29:41  qboosh
- cleanups, fixed License and post/preun

Revision 1.1  2003/10/26 15:04:05  adamg
- initial import (work by Marcin Kurzyna <m.kurzyna (at) nius.waw.pl>)
